package demos;

/* File: MountainKarel4.java
 * -------------------------
 * This subclass of SuperKarel can be tailored for a mountain
 * of any height, but doing so requires changing the program.
 */

import stanford.karel.*;

public class MountainKarel4 extends SuperKarel {

	private static final int NSTEPS = 4;
	
	public void run() {

		for (int i = 0; i < NSTEPS; i++) {
			stepUp();
		}

		putBeeper();

		for (int i = 0; i < NSTEPS; i++) {
			stepDown();
		}
	}

	/*
	 * Step Karel up one step
	 */
	private void stepUp() {
		turnLeft();
		move();
		turnRight();
		move();
	}

	/*
	 * Step Karel down one step
	 */
	private void stepDown() {
		move();
		turnRight();
		move();
		turnLeft();
	}

}
