package demos;

/* File: MountainKarel5.java
 * -------------------------
 * Similar to MountainKarel4, but approaches the mountain before 
 * climbing it, and then moves onward to the wall.
 */

import stanford.karel.*;

public class MountainKarel5 extends SuperKarel {

	private static final int NSTEPS = 3;
	
	public void run() {
		
		moveToWall();

		climbMountain();
		
		moveToWall();
	}
	
	/*
	 * Move Karel forward until it is blocked by a wall
	 */
	private void moveToWall() {
		while (frontIsClear()) {
			move();
		}
	}
	
	/* 
	 * Make Karel climb up and down a stair-step mountain of size NSTEPS
	 */
	private void climbMountain() {
		for (int i = 0; i < NSTEPS; i++) {
			stepUp();
		}

		putBeeper();

		for (int i = 0; i < NSTEPS; i++) {
			stepDown();
			}
	}

	/*
	 * Step Karel up one step
	 */
	private void stepUp() {
		turnLeft();
		move();
		turnRight();
		move();
	}

	/*
	 * Step Karel down one step
	 */
	private void stepDown() {
		move();
		turnRight();
		move();
		turnLeft();
	}

}
