package demos;

/* File: MountainKarel8.java
 * -------------------------
 * Similar to MountainKarel6, but the bug is corrected.
 */

import stanford.karel.*;

public class MountainKarel8 extends SuperKarel {

	public void run() {
		
		moveToWall();

		climbMountain();
		
		moveToWall();
	}
	
	/*
	 * Move Karel forward until it is blocked by a wall
	 */
	private void moveToWall() {
		while (frontIsClear()) {
			move();
		}
	}
	
	/* 
	 * Make Karel climb up and down a stair-step mountain of size NSTEPS
	 */
	private void climbMountain() {
		while (frontIsBlocked()) {
			stepUp();
		}

		putBeeper();
		move();

		while (rightIsClear()) {
			dropDown();
			}
	}

	/*
	 * Step Karel up one step
	 */
	private void stepUp() {
		turnLeft();
		move();
		turnRight();
		move();
	}

	/*
	 * Drop Karel down one step
	 */
	private void dropDown() {
		turnRight();
		move();
		turnLeft();
		if (frontIsClear()) {
			move();
		}
	}

}
